#ifndef BOUNDARY_WRITER_HH
#define BOUNDARY_WRITER_HH

#include <fstream>
#include <string>

#include <dune/common/bitsetvector.hh>

template <class ScalarVector, class Vector> class BoundaryWriter {
public:
  BoundaryWriter(Vector const &vertexCoordinates,
                 Dune::BitSetVector<1> const &_boundaryNodes);

  virtual ~BoundaryWriter();

  void writeKinetics(Vector const &u, Vector const &v);

protected:
  std::fstream displacementWriter;
  std::fstream velocityWriter;
  Dune::BitSetVector<1> const &boundaryNodes;
};
#endif
